org.yaml.snakeyaml

## Enum DumperOptions.Version

- java.lang.Object
- - java.lang.Enum<DumperOptions.Version>
  - - org.yaml.snakeyaml.DumperOptions.Version

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.Version>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.Version
    extends Enum<DumperOptions.Version>

Specification version. Currently supported 1.0 and 1.1

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`V1_0`
`V1_1`

### Method Summary

Methods
`String` `getRepresentation()`
`int` `major()`
`int` `minor()`
`String` `toString()`
`static DumperOptions.Version` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.Version[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V1_0

    public static final DumperOptions.Version V1_0

#### V1_1

    public static final DumperOptions.Version V1_1

### Method Detail

#### values

    public static DumperOptions.Version[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumperOptions.Version c : DumperOptions.Version.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumperOptions.Version valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### major

    public int major()

#### minor

    public int minor()

#### getRepresentation

    public String getRepresentation()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DumperOptions.Version>`